module Banks
  class Account
    attr_accessor :name, :type, :balance, :transactions, :link

    # Types
    CREDIT = "Credit"
    DEBIT = "Debit"
    UNKNOWN = "Unknown"

    def to_s
      transactions.to_s
    end

    # accounts - Array of accounts.
    def merge_accounts (accounts)
      @transactions = TransactionArray.new
      accounts.each do |account|
        if account.type == CREDIT
          convert_to_debit account
        end
        @transactions.merge_array account.transactions
      end
      @type = DEBIT
      transactions.sort_by_date
    end

    def convert_to_debit account
      account.type = DEBIT
      account.transactions.each do|transaction|
        transaction.amount = transaction.amount*-1
      end
    end
  end
end
