module Banks
  def Banks.amount_to_s amount
    amount < 0 ? positive = false : positive = true
    amount_string = amount.to_s
    amount_string.sub!("-","")
    amount_string = amount_string.rjust(3, '0')
    amount_string.insert(-3, ".")
    amount_string.insert(0, "-") unless positive
    amount_string
  end

  class CategoryPolicy
    @@categories = nil
    def self.categorize description
      # Lazy read.
      if @@categories.nil? then
        data = IO.read "categories.json"
        @@categories = JSON.parse data
      end

      @@categories["categories"].each do |category, payment_types|
        payment_types.each do |value|
          if description.upcase.include? value.upcase then return category end
        end
      end
      return "Uncategorized"
    end
  end
end
